Package org.h2.mvstore

# Class MVStoreException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.h2.mvstore.MVStoreException

All Implemented Interfaces:
  `Serializable`

public class MVStoreException extends RuntimeException
Various kinds of MVStore problems, along with associated error code.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MVStoreException(int errorCode, String message)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MVStoreException

public MVStoreException(int errorCode, String message)

## Method Details

### getErrorCode

public int getErrorCode()